package com.prodyna.demo.calculator;

import static org.junit.Assert.assertEquals;

import javax.inject.Inject;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.testng.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.testng.annotations.Test;

// @RunWith(Arquillian.class)
public class CalculatorBeanTest extends Arquillian {

	@Deployment
	public static Archive<?> createDeployment() {
		JavaArchive jar = ShrinkWrap.create(JavaArchive.class, "test.jar");
		jar.addClass(Calculator.class);
		jar.addClass(CalculatorBean.class);
		jar.addClass(CalculatorBeanTest.class);
		jar.addAsManifestResource(EmptyAsset.INSTANCE, "beans.xml");
		return jar;
	}

	@Inject
	private Calculator calculator;

	@Test
	public void add1() {
		assertEquals(10, calculator.add(2, 8));
	}

}
